Subject: Re: [2.6 patch] the scheduled eepro100 removal

From: "Kok, Auke" <[email-masked]>
Date: Wed, 28 Mar 2007 15:26:13 -0700

Bill Davidsen wrote:
> Adrian Bunk wrote:
>> This patch contains the scheduled removal of the eepro100 driver.
>>
>> Signed-off-by: Adrian Bunk <[email-masked]>
>>
>>
> This keeps coming around, but I haven't seen an answer to the questions 
> raised by Eric Piel or Kiszka. I do know that e100 didn't work on some 
> IBM rackmount servers and eepro100 did, but since I'm no longer 
> responsible for those machines I can't retest. Perhaps someone will be 
> able to provide data points.
> 
> IBM current offerings as of about three years ago, I had a few dozen of 
> them at one time.

We have provided a (test) driver which allows e100 to use IO to communicate with 
the device, which seems to have helped for one person. I think we need to work 
with those changes and see if it helps the other people resolve their e100 
issues. Unfortunately it keeps slipping off to the low priority list for us.

I suggest that we should push this code into -mm for people to test or 
something. It's fairly low risk as by default the patch won't enable IO and thus 
use the old method of writing to the adapter.

Auke